Bug 463488 - cpuspeed init script needs to attempt to load speedstep-centrino module
cpuspeed init script needs to attempt to load speedstep-centrino module
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cpuspeed (Show other bugs)
All Linux
medium Severity medium
: rc
: ---
Assigned To: Jarod Wilson
Depends On:
Blocks: 449787
  Show dependency treegraph
Reported: 2008-09-23 13:50 EDT by Matthew Garrett
Modified: 2013-01-10 02:47 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-20 15:55:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Matthew Garrett 2008-09-23 13:50:37 EDT
In order to fix #449787, the cpuspeed init script needs to support loading the speedstep-centrino module if all other module loads have failed. Support for speedstep-centrino can be determined by checking for the est cpu feature flag. This is a fallback for Intel hardware that cannot be driven via the ACPI interface.
Comment 1 Jarod Wilson 2008-09-24 12:33:59 EDT
Bits queued up locally, requesting necessary flags to commit changes and build new package...
Comment 2 RHEL Product and Program Management 2008-09-24 12:42:28 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
Comment 10 Zhang Kexin 2008-11-24 04:54:57 EST
Hi Jarod, please see comment http://errata.devel.redhat.com/errata/show/7776#c17
kernel panic when I try to modprobe -r acpi_cpufreq
Comment 11 Zhang Kexin 2008-11-24 10:03:24 EST
 Matthew, to comment #5, I booted a rhts centrino machine hp-xw4800-01.rhts.bos.redhat.com with acpi=off

it did not load speedstep-centrino driver by default and I could not also load it manually. ie. "modprobe speedstep-centrino" gives "FATAL: Error inserting speedstep-centrino".
Comment 12 Matthew Garrett 2008-11-24 10:19:40 EST
Only first generation Pentium-M machines (Banias cores) will work without ACPI. It's expected that it will fail to load on any other platform.
Comment 13 Zhang Kexin 2008-11-25 01:00:47 EST
Hi Mattew, when I boot other machines without ACPI, no cpufreq driver is loaded, is that expected behavior? thanks.
Comment 14 Matthew Garrett 2008-11-25 01:08:54 EST
The only Intel hardware where there's any support for cpufreq without ACPI are Banias systems. On AMDs, 32-bit Athlons (ie, K7 chips) should also (in theory) work. What hardware have you tested?
Comment 15 Zhang Kexin 2008-11-25 04:48:07 EST
I have tested 
dell-pe2900-03.rhts.bos.redhat.com: http://rhts.redhat.com/cgi-bin/rhts/system.cgi?id=39


There are others to be tested...
Comment 16 Zhang Kexin 2008-12-08 04:25:50 EST
tested on following intel cpu machines:


tested on bare metal kernel and xen kernel.

test case is /cpuspeed/function and test case in https://bugzilla.redhat.com/show_bug.cgi?id=451119#c1
Comment 18 Zhang Kexin 2008-12-13 22:46:46 EST
also veified that with old cpuspeed package(1.2.1-2), cpuspeed does not load speedstep_centrino by default when boot with acpi=off.
Comment 20 errata-xmlrpc 2009-01-20 15:55:28 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.